import { createRouter, createWebHistory } from 'vue-router'
import { registerBeforeRouter } from './guard'
export const homeIndex = () => import('@/views/home/index.vue')
export const Layout = () => import('@/layout/index.vue')

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/redirect',
      component: Layout,
      meta: { hidden: true },
      children: [
        {
          path: '/redirect/:path(.*)',
          component: () => import('@/views/redirect/index.vue')
        }
      ]
    },
    {
      path: '/login',
      name: 'Login',
      meta: { title: '系统登录' },
      component: () => import('@/views/login/index.vue')
    },
    {
      path: '/',
      component: Layout,
      children: [
        {
          path: '/',
          name: 'dashboard',
          meta: {
            title: '首页',
            affix: true,
            keepAlive: true,
            alwaysShow: false
          },
          component: () => import('@/views/home/index.vue')
        }
      ]
    }
  ]
})
registerBeforeRouter(router)
export default router
